package com.itant.shiwushu.ui.menu.sub;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;
import com.itant.shiwushu.bean.LostFound;

import java.util.List;

public interface PostContract {
    interface View extends IBaseView {
        void onGetPostSuccess(List<LostFound> lostList);
        void onGetPostFailed(String message);

        void onDeleteSuccess(String message);
        void onDeleteFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void getPost(int cityId, int postType, int lostType, String keywords, int page);

        void deletePost(int postId, String authorId);
    }
}